<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('statuses:search', [\App\Http\ApiV1\Controllers\StatusController::class, 'search'])->name('searchStatuses');
Route::post('statuses', [\App\Http\ApiV1\Controllers\StatusController::class, 'create'])->name('createStatus');
Route::delete('statuses/{id}', [\App\Http\ApiV1\Controllers\StatusController::class, 'delete'])->name('deleteStatus');
Route::patch('statuses/{id}', [\App\Http\ApiV1\Controllers\StatusController::class, 'patch'])->name('patchStatus');
Route::post('themes:search', [\App\Http\ApiV1\Controllers\ThemeController::class, 'search'])->name('searchThemes');
Route::post('themes', [\App\Http\ApiV1\Controllers\ThemeController::class, 'create'])->name('createTheme');
Route::delete('themes/{id}', [\App\Http\ApiV1\Controllers\ThemeController::class, 'delete'])->name('deleteTheme');
Route::patch('themes/{id}', [\App\Http\ApiV1\Controllers\ThemeController::class, 'patch'])->name('patchTheme');
Route::post('types:search', [\App\Http\ApiV1\Controllers\TypeController::class, 'search'])->name('searchTypes');
Route::post('types', [\App\Http\ApiV1\Controllers\TypeController::class, 'create'])->name('createType');
Route::delete('types/{id}', [\App\Http\ApiV1\Controllers\TypeController::class, 'delete'])->name('deleteType');
Route::patch('types/{id}', [\App\Http\ApiV1\Controllers\TypeController::class, 'patch'])->name('patchType');
Route::post('channels:search', [\App\Http\ApiV1\Controllers\ChannelController::class, 'search'])->name('searchChannels');
Route::post('channels', [\App\Http\ApiV1\Controllers\ChannelController::class, 'create'])->name('createChannel');
Route::delete('channels/{id}', [\App\Http\ApiV1\Controllers\ChannelController::class, 'delete'])->name('deleteChannel');
Route::patch('channels/{id}', [\App\Http\ApiV1\Controllers\ChannelController::class, 'patch'])->name('patchChannel');
Route::post('event', [\App\Http\ApiV1\Controllers\EventsController::class, 'parse'])->name('parseEvent');
